• Advisory ID: DRUPAL-SA-CONTRIB-2013-034
  • Project: Node Parameter Control (third-party module)
  • Version: 6.x
  • Date: 2013-Mar-13
  • Security risk: Critical
  • Exploitable from: Remote
  • Vulnerability: Access bypass


This module enables you to limit the visibility of the fields on the node edit form.
The module doesn't sufficiently check access before allowing users to view and edit the configuration options allowing anonymous and authenticated users the ability to view and edit the configuration options.

CVE identifier(s) issued

  • CVE-2013-1859

Versions affected

  • All 6.x-1.x versions

Drupal core is not affected. If you do not use the contributed Node Parameter Control module, there is nothing you need to do.


Uninstall the module. No patched version is available.

Also see the Node Parameter Control project page.

Reported by

Fixed by

The module maintainer opted to mark the module as unsupported.

Coordinated by

Contact and More Information

The Drupal security team can be reached at security at drupal.org or via the contact form at http://drupal.org/contact.

Learn more about the Drupal Security team and their policies, writing secure code for Drupal, and securing your site.